scala.tools.nsc.transform.patmat.PatternMatching

# MatchTransformer

#### class MatchTransformer extends TypingTransformer

Linear Supertypes
PatternMatching.TypingTransformer, Global.Transformer, Global.Transformer, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MatchTransformer
2. TypingTransformer
3. Transformer
4. Transformer
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new MatchTransformer(unit: Global.CompilationUnit)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from MatchTransformer to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (MatchTransformer, B)

   Implicit information
     This member is added by an implicit conversion from MatchTransformer to ArrowAssoc[MatchTransformer] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def atOwner[A](tree: Global.Tree, owner: Global.Symbol)(trans: ⇒ A): A

   Definition Classes
     TypingTransformer

10. #### final def atOwner[A](owner: Global.Symbol)(trans: ⇒ A): A

    Definition Classes
      TypingTransformer → Transformer

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### var curTree: Global.Tree

    Attributes
      protected
    Definition Classes
      TypingTransformer

13. #### def currentClass: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

14. #### def currentMethod: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

15. #### var currentOwner: Global.Symbol

    Attributes
      protected[scala]
    Definition Classes
      Transformer

16. #### def ensuring(cond: (MatchTransformer) ⇒ Boolean, msg: ⇒ Any): MatchTransformer

    Implicit information
      This member is added by an implicit conversion from MatchTransformer to Ensuring[MatchTransformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: (MatchTransformer) ⇒ Boolean): MatchTransformer

    Implicit information
      This member is added by an implicit conversion from MatchTransformer to Ensuring[MatchTransformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean, msg: ⇒ Any): MatchTransformer

    Implicit information
      This member is added by an implicit conversion from MatchTransformer to Ensuring[MatchTransformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean): MatchTransformer

    Implicit information
      This member is added by an implicit conversion from MatchTransformer to Ensuring[MatchTransformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from MatchTransformer to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### var localTyper: (analyzer)#Typer

    Definition Classes
      TypingTransformer

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      AnyRef → Any

33. #### def transform(tree: Global.Tree): Global.Tree

    Definition Classes
      MatchTransformer → TypingTransformer → Transformer

34. #### def transformCaseDefs(trees: List[Global.CaseDef]): List[Global.CaseDef]

    Definition Classes
      Transformer

35. #### def transformIdents(trees: List[Global.Ident]): List[Global.Ident]

    Definition Classes
      Transformer

36. #### def transformModifiers(mods: Global.Modifiers): Global.Modifiers

    Definition Classes
      Transformer

37. #### def transformStats(stats: List[Global.Tree], exprOwner: Global.Symbol): List[Global.Tree]

    Definition Classes
      Transformer

38. #### def transformTemplate(tree: Global.Template): Global.Template

    Definition Classes
      Transformer

39. #### def transformTrees(trees: List[Global.Tree]): List[Global.Tree]

    Definition Classes
      Transformer

40. #### def transformTypeDefs(trees: List[Global.TypeDef]): List[Global.TypeDef]

    Definition Classes
      Transformer

41. #### def transformUnit(unit: Global.CompilationUnit): Unit

    Definition Classes
      Transformer

42. #### def transformValDef(tree: Global.ValDef): Global.ValDef

    Definition Classes
      Transformer

43. #### def transformValDefs(trees: List[Global.ValDef]): List[Global.ValDef]

    Definition Classes
      Transformer

44. #### def transformValDefss(treess: List[List[Global.ValDef]]): List[List[Global.ValDef]]

    Definition Classes
      Transformer

45. #### def translator: PatternMatching.MatchTranslator with PatternMatching.CodegenCore

46. #### val treeCopy: Global.TreeCopier

    Definition Classes
      Transformer

47. #### def typedPos(pos: Global.Position)(tree: Global.Tree): Global.Tree

    Attributes
      protected
    Definition Classes
      TypingTransformer

48. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### def →[B](y: B): (MatchTransformer, B)

    Implicit information
      This member is added by an implicit conversion from MatchTransformer to ArrowAssoc[MatchTransformer] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from MatchTransformer to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (matchTransformer: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from MatchTransformer to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (matchTransformer: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: MatchTransformer

   Implicit information
     This member is added by an implicit conversion from MatchTransformer to ArrowAssoc[MatchTransformer] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (matchTransformer: ArrowAssoc[MatchTransformer]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: MatchTransformer

   Implicit information
     This member is added by an implicit conversion from MatchTransformer to Ensuring[MatchTransformer] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (matchTransformer: Ensuring[MatchTransformer]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from PatternMatching.TypingTransformer

### Inherited from Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from MatchTransformer to StringAdd

### Inherited by implicit conversion any2stringfmt from MatchTransformer to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from MatchTransformer to ArrowAssoc[MatchTransformer]

### Inherited by implicit conversion any2Ensuring from MatchTransformer to Ensuring[MatchTransformer]

### Ungrouped